Bug 55009 - ftp install fails with IOError Socket error
ftp install fails with IOError Socket error
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-10-24 06:20 EDT by dg
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-26 12:30:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description dg 2001-10-24 06:20:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
  I was attempting to do an ftp install via a proxy.  The proxy is a
username@host proxy, so you specify 'proxy' as the ftp host and
'ftp@server' as the username.  During the RH7.2 install I used


as the server and selected non-anonymous and used

ftp@ftp.city-fan.org and dave as the password

It succesffuly started the second part of the install and asked me about
mice etc (I think) and then got to 'reading packages' and just sat there. 
Using alt-F2 I could see a repeated error scrolling up:

IOError socket error occurred getting

Host not found

So it looks like somewhere along the line there is a corruption of the name.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.FTP install
2.Select non-anonymous

Additional info:

i686 upgrading from RH7.0
Comment 1 Brent Fox 2001-10-24 13:58:17 EDT
We don't officially support FTP installs through proxy servers, so that's
probably where the problem comes in.  I would recommend downloading the ISOs and
doing either a cdrom or a hard drive install.  FTP installs without a proxy
server works fine, though.
Comment 2 dg 2001-10-25 04:19:57 EDT
Given that there is nothing special used by the ftp proxy other than a special
username then you do not actually have to have any special code to support an
ftp proxy.

The bug indicates a problem with either the non-anonymous ftp mechanism.
Comment 3 Brent Fox 2001-10-25 15:10:57 EDT
Non-anonymous FTP installs work for me without a proxy of any kind.  I can't
help but feel that the proxy is somehow causing this problem.
Comment 4 dg 2001-10-26 04:52:25 EDT
Do you think the problem could be the '@' in the username?


Do you think that something is parsing this as
user: ftp@ftp.city-fan.org
password: dave
host: proxy

and something else is parsing it as:

user: ftp
password: ?
host: ftp.city-fan.org:%64%61%76%65@proxy

in which it would give the unknown host error.

Just an idea,

Comment 5 Brent Fox 2001-10-26 12:30:08 EDT
I don't know...could be.
Comment 6 Brent Fox 2001-11-08 11:41:47 EST
I'm going to close this bug as "wontfix".  If you see this behavior without
having to go through a proxy server, please reopen this bug report.  Thanks for
your report.

Note You need to log in before you can comment on or make changes to this bug.